Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 04/09/2017, à 21:42

Valeryan_24

[Résolu] Bloqué dans les mises à jour Artful

Bonjour,

Je crée ce fil pour ne pas encombrer le post "Nouveautés dans Artful", depuis quelques jours je suis coincé avec une alerte m'indiquant que j'ai au moins un paquet cassé, mais je n'arrive pas à résoudre le problème - sans Synaptic je nage !

sudo apt-get install -f  ou  sudo apt --fix-broken install  me retournent :

Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libssl-dev libssl-doc libx265-116
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets supplémentaires suivants vont être installés :
  libperl5.26:i386
Les NOUVEAUX paquets suivants seront installés :
  libperl5.26:i386
0 mis à jour, 1 nouvellement installés, 0 à enlever et 11 non mis à jour.
69 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/3 151 ko dans les archives.
Après cette opération, 16,2 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
(Lecture de la base de données... 218042 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libperl5.26_5.26.0-5_i386.deb ...
Dépaquetage de libperl5.26:i386 (5.26.0-5) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libperl5.26_5.26.0-5_i386.deb (--unpack) :
 tentative de remplacement de « /usr/share/doc/libperl5.26/changelog.Debian.gz », qui est différent d'autres instances du paquet libperl5.26:i386
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libperl5.26_5.26.0-5_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

et sudo apt-get remove libperl5.26 :

Les paquets suivants contiennent des dépendances non satisfaites :
 libimage-magick-q16-perl : Dépend: libperl5.26 (>= 5.26.0~rc1) mais ne sera pas installé
 libsnmp30 : Dépend: libperl5.26 (>= 5.26.0~rc1) mais ne sera pas installé
 libsnmp30:i386 : Dépend: libperl5.26:i386 (>= 5.26.0~rc1) mais ne sera pas installé
 lintian : Dépend: libdigest-sha-perl
 perl : Dépend: libperl5.26 (= 5.26.0-5) mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).

Merci d'avance pour toute aide smile

Dernière modification par Valeryan_24 (Le 05/09/2017, à 21:34)

Hors ligne

#2 Le 04/09/2017, à 22:47

GammaDraconis

Re : [Résolu] Bloqué dans les mises à jour Artful

Je viens d'installer Artful sur ma mon 2e pc secondaire pour les tests (jusqu'a maintenant je n'avais utilisé qu'une VM, c'est donc le 1er test sur un vrai pc).

Globalement le résultat est bon et les pilotes propriétaires semblent ne pas poser de problème avec Wayland (que ça soit le pilote nvidia ou le pilote intel). Il y a toujours le bug de positionnement de l'icone par contre.
(c'est un bug qu'il faudra penser à corriger avant la sortie en stable car il est très visible).

Sinon je suis toujours autant critique avec le choix du logiciel 'totem' par défaut, la preuve je viens de faire le test : j'ai pris 7 vidéos au hasard dans différent format (avi, mkv, mp4) et j'ai voulu comparer ce que Totem arrivait à lire par défaut par rapport à MPV et VLC. Résultat : VLC a pu ouvrir les 7 vidéos, idem pour MPV, et Totem... 0 ! Je suis donc obligé de mettre un mauvais point sur ce choix logiciel.


Didrocks si tu me lis, voici un nouveau bilan des petits défauts restants (selon moi) sur la version en développement dans l'état actuel (je sais que pour la 17.10 c'est probablement trop tard mais ça peux éventuellement te donner des idées de changement pour la 18.04).

Voici la liste :

[DESIGN] Bien que le design de GDM a été modifié, je le trouve un peu basique (un simple fond violet foncé), il serai préférable de mettre quelque chose d'un peu plus coloré avec des nuances de couleur ou un wallpaper du thème de la nouvelle version. Je pense qu'il est possible d'obtenir un meilleur résultat visuel, les anciens écrans de session (sous LightDM) étaient plus jolie par exemple.
Quelques exemples de thème GDM parmi tant d'autre (biensur avec une touche + violet/orange pour Ubuntu)
http://1.bp.blogspot.com/-7k2I5TY3yuI/U … ground.png
https://cn.pling.com/img//hive/content- … 5663-1.png
https://3.bp.blogspot.com/_UqUwVPikChs/ … tu-sky.jpg
Et sinon il y a celui là qui est vraiment original et excellent : https://cn.pling.com/img//hive/content-pre1/63383-1.jpg ( nan jplaisante big_smile )

[DESIGN] Si le panel Gnome en haut reste transparent pour la 3.26, alors je pense qu'il faut un peu modifier le niveau de transparence du dock ubuntu pour qu'il soit un peu plus transparent (sinon le dock apparaitra trop sombre a coté). À vue de nez je dirai qu'il faudrait environ 50% pour la transparence.

[AJOUT] Le "gestionnaire de pilote" n'est pas évident à trouver pour un débutant, il faudrai ajouter dans le panneau de configuration de Gnome un icone/raccourci qui pointe directement sur le gestionnaire de pilote. Celui-ci est indispensable pour beaucoup de personne puisqu'avec une carte nvidia, il est obligatoire d'installer le pilote proprio si l'on veux profiter des performances 3D de sa carte, notamment pour les jeux (le pilote libre 'nouveau' n'est pas performant en 3D, il sert surtout pour la 2D).

[AJOUT] L'installation de "gnome-session" devrai installer aussi le paquet "gnome-tweak-tool" en dépendance. En effet, pratiquement tous ceux qui installeront la session Vanilla installeront de toute façon cet utilitaire indispensable pour Gnome. C'est un ajout simple à faire.

[AJOUT] Sur le dock, il serai préférable qu'en cliquant sur un icone d'une application déja ouverte en 1er plan cela réduise à nouveau la fenêtre, en effet, actuellement cliquer sur un icone dans cette situation n'a aucun effet, autant en profiter pour que ça fasse quelque chose d'utile plutôt que rien.

[MODIF] Il y a, selon moi, un manque d'indépendance entre les 2 sessions "ubuntu" et "vanilla", une modif graphique sur une des sessions a des conséquences sur l'autre session.

[MODIF] Les paramétrages du dock Ubuntu sont mal placés dans "écran" (il est quasi impossible de tomber dessus sans savoir à l'avance que c'est ici), il serai préférable d'ajouter dans le panneau de configuration de Gnome une section qui coutient les paramètres utiles, par exemple "Paramètres Ubuntu". De plus, il serai bien d'ajouter aussi l'option pour mettre le dock en bas sans passer par Dash To Dock.
Enfin, il est dommage qu'on ne puisse pas toucher à la partie graphique (thème, icone, curseur...) sans installer "Gnome Tweak Tool", il serai préférable d'intégrer quelques options de customisation dans cette nouvelle partie "paramètres Ubuntu". (sauf si vous décidez d'installer Gnome Tweak Tool par défaut).

[MODIF] Il serai mieux de mettre la corbeille plutôt sur le dock (en bas) plutôt que sur le bureau ou sinon si vraiment vous tenez a l'avoir sur le bureau, il faudra qu'on puisse facilement la supprimer sans bidouiller et sans passer par Gnome Tweak Tool (par exemple un clique droit => retirer l'icone du bureau).

[MODIF] Pour la recherche d'application, il serai mieux de séparer les logiciels en plusieurs catégorie : Multimédia, Jeux, Programmation...

[MODIF] Le gestionnaire graphique de paquet (Gnome Software) proposé par défaut avec le raccourci "logiciel" est assez bof, il n'est pas pratique de rechercher dedans. Il faudra trouver une solution alternative avec un logiciel qui correspond aux critères suivants : compatible wayland et xorg, tous les paquets doivent pouvoir être trouvé, facile à utiliser, une recherche par catégorie possible (multimédia, jeux, programmation...) un peu comme Synaptic.

[MODIF] Le logiciel de lecture vidéo proposé par défaut (Totem) n'est pas un bon choix selon moi, surtout pour les débutants ! En effet quelqu'un qui n'y connait rien risque d'être coincé assez souvent pour lire certaines vidéos (lors de mon test, Totem n'a pu lire aucune vidéo par défaut). Il serai mieux de proposer VLC ou MPV par défaut. Mais VLC étant très populaire sur les différentes plate-forme (Windows, Mac et Linux), je vous recommande plutôt VLC (mais MPV fait aussi bien le taf).

[MODIF] Trouver une solution pour faire fonctionner des logiciels comme Gparted, Synaptic... dans une session Wayland

[SUPPRESSION] Je sais que ça ne sera pas fait mais je l'indique quand même pour rappeler que c'est pas bien. Comme pour les précédentes versions d'Ubuntu, c'est une erreur de mettre par défaut un raccourci "Amazon" dans le dock, cela donne une image très "commerciale" de la distribution. Il serai préférable de supprimer ce raccourci.

[BUG] Le bug de positionnement du 1er icone en haut à gauche est toujours présent sur une nouvelle instalaltion avec les derniers isos dailybuild. En effet, le 1er icone se retrouve dans le coin extrème haut/gauche caché par une partie du dock et du panel Gnome. C'est un bug visible au 1er regard et devrai être la priorité à corriger.

[BUG] Je viens de vérifier et comme en VM, il y a toujours le bug avec Dash To Dock : si j'installe sur la session Ubuntu 'Dash to dock' et je modifie un réglage dans dash to dock (par exemple changer la transparence du dock), c'est pris en compte mais si je sélectionne un icône, il y a plantage (soit un saut d'écran qui remet le bureau vide soit un retour à l'écran de session). Il faudra corriger ça pour ceux qui voudront customiser le dock a leur sauce. (je sais pas comment tu as fait pour que ça fonctionne chez toi avec tes captures d'écrans Didrocks mais moi ça ne fonctionne ni en VM, ni sur un vrai PC.

Dernière modification par GammaDraconis (Le 05/09/2017, à 00:44)

Hors ligne

#3 Le 05/09/2017, à 21:36

Valeryan_24

Re : [Résolu] Bloqué dans les mises à jour Artful

Problème résolu : je cherchais dans les paquets cassés, alors qu'il suffisait de supprimer le fichier problématique :
sudo rm /usr/share/doc/libperl5.26/changelog.Debian.gz

puis sudo apt-get install -f et mises à jour, j'ai enfin le nouveau thème !

Solution trouvée sur Mastodon : https://mamot.fr/users/Matlink/updates/550598 wink

Hors ligne